FruxonDocs
Agent NetworkTriggers

Lists the steps of one walk.

In step order, each step's re-runs after it, oldest first — what a stepper reopens from.

GET
/v1/tenants/{tenant}/triggers/{trigger}/stageTests
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

trigger*string

The trigger identifier.

Formatuuid
tenant*string

The tenant identifier

Query Parameters

walk?string

The walk identifier.

Formatuuid
PageSize?integer

The maximum number of items to return per page

Formatint32
PageToken.Skip?integer
Formatint32
PageToken.Cursor?string

Opaque pagination token returned by an external service. Pass it back unchanged rather than interpreting it as an offset.

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08/stageTests"
{
  "items": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "walkId": "00000000-0000-0000-0000-000000000000",
      "step": 0,
      "previousTestId": "00000000-0000-0000-0000-000000000000",
      "stageIndex": 0,
      "stageId": "string",
      "stageName": "string",
      "status": "QUEUED",
      "seedKind": "ITEM",
      "seedItemId": "00000000-0000-0000-0000-000000000000",
      "replayOfExecutionRecordId": "00000000-0000-0000-0000-000000000000",
      "itemKey": "string",
      "fromDraft": false,
      "input": null,
      "userQuery": "string",
      "reply": "string",
      "agentId": "string",
      "agentRevision": 0,
      "agentRevisionDeployed": false,
      "agentDraftBaseRevision": 0,
      "routingDefault": "NONE",
      "routingOverrides": {},
      "executionRecordId": "00000000-0000-0000-0000-000000000000",
      "output": "string",
      "verdict": {
        "kind": "UNSPECIFIED",
        "toStatus": "UNSPECIFIED",
        "cause": "string",
        "detail": "string",
        "failedCheck": null,
        "attempt": 0,
        "maxAttempts": 0,
        "nextStageId": "string",
        "routed": false,
        "produced": null,
        "dataAfter": null,
        "dedupeKey": "string",
        "dedupeKeyIncomplete": false,
        "duplicateOf": "string",
        "nextStageMissing": [],
        "sink": null
      },
      "simulatedCalls": [],
      "writesKept": false,
      "cost": 0,
      "durationMs": 0,
      "warnings": [
        "string"
      ],
      "createdAt": 0,
      "completedAt": 0,
      "expiresAt": 0
    }
  ],
  "nextPageToken": "string",
  "totalCount": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}